net.sourceforge.pmd.typeresolution.testdata

## Class InnerClass

- java.lang.Object
- - net.sourceforge.pmd.typeresolution.testdata.InnerClass

    public class InnerClass
    extends Object

### Nested Class Summary

Nested Classes
`class` `InnerClass.TheInnerClass`

### Constructor Summary

Constructors
Constructor and Description
`InnerClass()`

### Method Summary

Methods
`void` `foo(InnerClass.TheInnerClass arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InnerClass

    public InnerClass()

### Method Detail

#### foo

    public void foo(InnerClass.TheInnerClass arg)